# 项目相关配置
fs:
  # 名称
  name: fs
  # 版本
  version: 1.1.0
  # 版权年份
  copyrightYear: 2020
  # 实例演示开关
  demoEnabled: false
  # 文件路径 示例（ Windows配置D:/fs/uploadPath，Linux配置 /home/fs/uploadPath）
  profile: C:/fs/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数组计算 char 字符验证
  captchaType: math
  # APP模块，是通过jwt认证的，如果要使用APP模块，则需要修改【加密秘钥】
  jwt:
    # 加密秘钥
    secret: f4e2e52034348f86b67cde581c0f9eb5
    # token有效时长，100天，单位秒
    expire: 8640000
    header: AppToken
  url: https://api.yjf.runtzh.com
# 开发环境配置
server:
  # 服务器的HTTP端口，默认为 7014  store 7114
  port: 7011
  servlet:
    # 应用的访问路径
    context-path: /
    # 指定静态资源的路径
    resources:
      static-locations: classpath:/static/
    #设定thymeleaf
    thymeleaf:
      #thymeleaf对html的检查过于严格，设置spring.thymeleaf.mode=LEGACYHTML5
      mode: LEGACYHTML5
      cache: false
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 5000
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 100
    # 服务器在任何给定时间接受和处理的最大连接数。一旦达到限制，操作系统仍然可以接受基于“acceptCount”属性的连接。
    max-connections: 30000
    # 当所有可能的请求处理线程都在使用中时，传入连接请求的最大队列长度
    accept-count: 1000
    # 连接器在接受连接后等待显示请求 URI 行的时间。
    connection-timeout: 20000
    # 在关闭连接之前等待另一个 HTTP 请求的时间。如果未设置，则使用 connectionTimeout。设置为 -1 时不会超时。
    keep-alive-timeout: 20000
    # 在连接关闭之前可以进行流水线处理的最大HTTP请求数量。当设置为0或1时，禁用keep-alive和流水线处理。当设置为-1时，允许无限数量的流水线处理或keep-alive请求。
    max-keep-alive-requests: 100

# 日志配置
logging:
  level:
    com.fs: debug
    org.springframework: warn
    org.springframework.web: info
    cn.binarywang.wx.miniapp: debug

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: dev
    include: config
  # 文件上传
  servlet:
     multipart:
       # 单个文件大小
       max-file-size:  10MB
       # 设置总上传的文件大小
       max-request-size:  20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true

# MyBatis配置
mybatis:
    # 搜索指定包别名
    typeAliasesPackage: com.fs.**.domain,com.fs.**.bo,com.fs.**.vo
    # 配置mapper的扫描，找到所有的mapper.xml映射文件
    mapperLocations: classpath*:mapper/**/*Mapper.xml
    # 加载全局的配置文件
    configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  reasonable: false
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: false
  # 请求前缀
  pathMapping: /

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice/*
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

